%define upstream_name    CursesForms
%define upstream_version 1.997

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Form management for Curses::Widgets
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Curses/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Curses)
BuildRequires: perl(Curses::Widgets)

BuildArch: noarch


%description
Curses::Forms provide a simple framework for OO forms. The Forms module
itself provides a basic class from which extended forms can be derived, or,
it can be used as-is to control forms populated with widgets. More
specialised forms are also available under *Curses::Forms::Dialog*.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# tests require human input
#make test

%install
%make_install

%files
%doc CHANGELOG LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.997.0-9.mga8
+ Revision: 1493629
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.997.0-8.mga7
+ Revision: 1266820
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.997.0-7.mga6
+ Revision: 1024745
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.997.0-6.mga6
+ Revision: 943358
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.997.0-5.mga5
+ Revision: 750909
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.997.0-4.mga5
+ Revision: 684079
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.997.0-3.mga4
+ Revision: 510415
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.997.0-2.mga3
+ Revision: 364982
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.997.0-1.mga1
+ Revision: 28447
- mageia rebuild
- imported package perl-CursesForms

